/*
 * https://github.com/morethanwords/tweb
 * Copyright (C) 2019-2021 Eduard Kuzmenko
 * https://github.com/morethanwords/tweb/blob/master/LICENSE
 */

// ! https://icomoon.io/app/#/select

@font-face {
  font-family: "#{$rbico-font-family}";
  src:
    url('#{$rbico-font-path}/#{$rbico-font-family}.ttf?1vj0av') format('truetype'),
    url('#{$rbico-font-path}/#{$rbico-font-family}.woff?1vj0av') format('woff'),
    url('#{$rbico-font-path}/#{$rbico-font-family}.eot?1vj0av') format('woff'),
    url('#{$rbico-font-path}/#{$rbico-font-family}.svg?1vj0av') format('svg');
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

/* [class^="rbico-"]:before,
[class^="rbico-"]:after, */
[class^="rbico-"],
.rbico:before,
.rbico:after,
[class*=" rbico-"]:before,
[class*=" rbico-"]:after {
  font-family: "#{$rbico-font-family}" !important;
  speak: never;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.rbico-images {
  &:before {
    content: $rbico-images; 
  }
}
.rbico-transfer {
  &:before {
    content: $rbico-transfer; 
  }
}
.rbico-key {
  &:before {
    content: $rbico-key; 
  }
}
.rbico-contacts {
  &:before {
    content: $rbico-contacts; 
  }
}
.rbico-plus-circle {
  &:before {
    content: $rbico-plus-circle; 
  }
}
.rbico-share-2 {
  &:before {
    content: $rbico-share-2; 
  }
}
.rbico-voice-chat {
  &:before {
    content: $rbico-voice-chat; 
  }
}
.rbico-check {
  &:before {
    content: $rbico-check; 
  }
}
.rbico-checks {
  &:before {
    content: $rbico-checks; 
  }
}
.rbico-activesessions {
  &:before {
    content: $rbico-activesessions; 
  }
}
.rbico-add {
  &:before {
    content: $rbico-add; 
  }
}
.rbico-add_reaction {
  &:before {
    content: $rbico-add_reaction; 
  }
}
.rbico-addmember_filled {
  &:before {
    content: $rbico-addmember_filled; 
  }
}
.rbico-adduser {
  &:before {
    content: $rbico-adduser; 
  }
}
.rbico-admin {
  &:before {
    content: $rbico-admin; 
  }
}
.rbico-animals {
  &:before {
    content: $rbico-animals; 
  }
}
.rbico-animations {
  &:before {
    content: $rbico-animations; 
  }
}
.rbico-archive {
  &:before {
    content: $rbico-archive; 
  }
}
.rbico-arrow_down {
  &:before {
    content: $rbico-arrow_down; 
  }
}
.rbico-arrow_next {
  &:before {
    content: $rbico-arrow_next; 
  }
}
.rbico-attach {
  &:before {
    content: $rbico-attach; 
  }
}
.rbico-audio_repeat {
  &:before {
    content: $rbico-audio_repeat; 
  }
}
.rbico-audio_repeat_single {
  &:before {
    content: $rbico-audio_repeat_single; 
  }
}
.rbico-avatarnext {
  &:before {
    content: $rbico-avatarnext; 
  }
}
.rbico-avatarprevious {
  &:before {
    content: $rbico-avatarprevious; 
  }
}
.rbico-bold {
  &:before {
    content: $rbico-bold; 
  }
}
.rbico-botcom {
  &:before {
    content: $rbico-botcom; 
  }
}
.rbico-bots {
  &:before {
    content: $rbico-bots; 
  }
}
.rbico-bug {
  &:before {
    content: $rbico-bug; 
  }
}
.rbico-calendar {
  &:before {
    content: $rbico-calendar; 
  }
}
.rbico-calendarfilter {
  &:before {
    content: $rbico-calendarfilter; 
  }
}
.rbico-camera {
  &:before {
    content: $rbico-camera; 
  }
}
.rbico-cameraadd {
  &:before {
    content: $rbico-cameraadd; 
  }
}
.rbico-car {
  &:before {
    content: $rbico-car; 
  }
}
.rbico-card {
  &:before {
    content: $rbico-card; 
  }
}
.rbico-card_outline {
  &:before {
    content: $rbico-card_outline; 
  }
}
.rbico-channel {
  &:before {
    content: $rbico-channel; 
  }
}
.rbico-channelviews {
  &:before {
    content: $rbico-channelviews; 
  }
}
.rbico-chatspinned {
  &:before {
    content: $rbico-chatspinned; 
  }
}
.rbico-chatsplaceholder {
  &:before {
    content: $rbico-chatsplaceholder; 
  }
}
.rbico-check1 {
  &:before {
    content: $rbico-check1; 
  }
}
.rbico-checkbox {
  &:before {
    content: $rbico-checkbox; 
  }
}
.rbico-checkboxblock {
  &:before {
    content: $rbico-checkboxblock; 
  }
}
.rbico-checkboxempty {
  &:before {
    content: $rbico-checkboxempty; 
  }
}
.rbico-checkboxon {
  &:before {
    content: $rbico-checkboxon; 
  }
}
.rbico-checkretract {
  &:before {
    content: $rbico-checkretract; 
  }
}
.rbico-checkround {
  &:before {
    content: $rbico-checkround; 
  }
}
.rbico-close {
  &:before {
    content: $rbico-close; 
  }
}
.rbico-clouddownload {
  &:before {
    content: $rbico-clouddownload; 
  }
}
.rbico-colorize {
  &:before {
    content: $rbico-colorize; 
  }
}
.rbico-comments {
  &:before {
    content: $rbico-comments; 
  }
}
.rbico-commentssticker {
  &:before {
    content: $rbico-commentssticker; 
  }
}
.rbico-copy {
  &:before {
    content: $rbico-copy; 
  }
}
.rbico-darkmode {
  &:before {
    content: $rbico-darkmode; 
  }
}
.rbico-data {
  &:before {
    content: $rbico-data; 
  }
}
.rbico-delete {
  &:before {
    content: $rbico-delete; 
  }
}
.rbico-delete_filled {
  &:before {
    content: $rbico-delete_filled; 
  }
}
.rbico-deletedaccount {
  &:before {
    content: $rbico-deletedaccount; 
  }
}
.rbico-deleteleft {
  &:before {
    content: $rbico-deleteleft; 
  }
}
.rbico-deleteuser {
  &:before {
    content: $rbico-deleteuser; 
  }
}
.rbico-devices {
  &:before {
    content: $rbico-devices; 
  }
}
.rbico-document {
  &:before {
    content: $rbico-document; 
  }
}
.rbico-down {
  &:before {
    content: $rbico-down; 
  }
}
.rbico-download {
  &:before {
    content: $rbico-download; 
  }
}
.rbico-dragfiles {
  &:before {
    content: $rbico-dragfiles; 
  }
}
.rbico-dragmedia {
  &:before {
    content: $rbico-dragmedia; 
  }
}
.rbico-eats {
  &:before {
    content: $rbico-eats; 
  }
}
.rbico-edit {
  &:before {
    content: $rbico-edit; 
  }
}
.rbico-email {
  &:before {
    content: $rbico-email; 
  }
}
.rbico-endcall_filled {
  &:before {
    content: $rbico-endcall_filled; 
  }
}
.rbico-enter {
  &:before {
    content: $rbico-enter; 
  }
}
.rbico-eye1 {
  &:before {
    content: $rbico-eye1; 
  }
}
.rbico-eye2 {
  &:before {
    content: $rbico-eye2; 
  }
}
.rbico-fast_forward {
  &:before {
    content: $rbico-fast_forward; 
  }
}
.rbico-fast_rewind {
  &:before {
    content: $rbico-fast_rewind; 
  }
}
.rbico-favourites {
  &:before {
    content: $rbico-favourites; 
  }
}
.rbico-flag {
  &:before {
    content: $rbico-flag; 
  }
}
.rbico-flip {
  &:before {
    content: $rbico-flip; 
  }
}
.rbico-folder {
  &:before {
    content: $rbico-folder; 
  }
}
.rbico-fontsize {
  &:before {
    content: $rbico-fontsize; 
  }
}
.rbico-forward {
  &:before {
    content: $rbico-forward; 
  }
}
.rbico-forward_filled {
  &:before {
    content: $rbico-forward_filled; 
  }
}
.rbico-fullscreen {
  &:before {
    content: $rbico-fullscreen; 
  }
}
.rbico-gc_microphone {
  &:before {
    content: $rbico-gc_microphone; 
  }
}
.rbico-gc_microphoneoff {
  &:before {
    content: $rbico-gc_microphoneoff; 
  }
}
.rbico-gifs {
  &:before {
    content: $rbico-gifs; 
  }
}
.rbico-group {
  &:before {
    content: $rbico-group; 
  }
}
.rbico-help {
  &:before {
    content: $rbico-help; 
  }
}
.rbico-image {
  &:before {
    content: $rbico-image; 
  }
}
.rbico-info {
  &:before {
    content: $rbico-info; 
  }
}
.rbico-info2 {
  &:before {
    content: $rbico-info2; 
  }
}
.rbico-italic {
  &:before {
    content: $rbico-italic; 
  }
}
.rbico-keyboard {
  &:before {
    content: $rbico-keyboard; 
  }
}
.rbico-lamp {
  &:before {
    content: $rbico-lamp; 
  }
}
.rbico-language {
  &:before {
    content: $rbico-language; 
  }
}
.rbico-largepause {
  &:before {
    content: $rbico-largepause; 
  }
}
.rbico-largeplay {
  &:before {
    content: $rbico-largeplay; 
  }
}
.rbico-left {
  &:before {
    content: $rbico-left; 
  }
}
.rbico-limit_chat {
  &:before {
    content: $rbico-limit_chat; 
  }
}
.rbico-limit_chats {
  &:before {
    content: $rbico-limit_chats; 
  }
}
.rbico-limit_file {
  &:before {
    content: $rbico-limit_file; 
  }
}
.rbico-limit_folders {
  &:before {
    content: $rbico-limit_folders; 
  }
}
.rbico-limit_link {
  &:before {
    content: $rbico-limit_link; 
  }
}
.rbico-limit_pin {
  &:before {
    content: $rbico-limit_pin; 
  }
}
.rbico-link {
  &:before {
    content: $rbico-link; 
  }
}
.rbico-listscreenshare {
  &:before {
    content: $rbico-listscreenshare; 
  }
}
.rbico-livelocation {
  &:before {
    content: $rbico-livelocation; 
  }
}
.rbico-location {
  &:before {
    content: $rbico-location; 
  }
}
.rbico-lock {
  &:before {
    content: $rbico-lock; 
  }
}
.rbico-lockoff {
  &:before {
    content: $rbico-lockoff; 
  }
}
.rbico-loginlogodesktop {
  &:before {
    content: $rbico-loginlogodesktop; 
  }
}
.rbico-loginlogomobile {
  &:before {
    content: $rbico-loginlogomobile; 
  }
}
.rbico-logout {
  &:before {
    content: $rbico-logout; 
  }
}
.rbico-mention {
  &:before {
    content: $rbico-mention; 
  }
}
.rbico-menu {
  &:before {
    content: $rbico-menu; 
  }
}
.rbico-message {
  &:before {
    content: $rbico-message; 
  }
}
.rbico-messageunread {
  &:before {
    content: $rbico-messageunread; 
  }
}
.rbico-microphone {
  &:before {
    content: $rbico-microphone; 
  }
}
.rbico-microphone_crossed {
  &:before {
    content: $rbico-microphone_crossed; 
  }
}
.rbico-microphone_crossed_filled {
  &:before {
    content: $rbico-microphone_crossed_filled; 
  }
}
.rbico-microphone_filled {
  &:before {
    content: $rbico-microphone_filled; 
  }
}
.rbico-minus {
  &:before {
    content: $rbico-minus; 
  }
}
.rbico-monospace {
  &:before {
    content: $rbico-monospace; 
  }
}
.rbico-more {
  &:before {
    content: $rbico-more; 
  }
}
.rbico-mute {
  &:before {
    content: $rbico-mute; 
  }
}
.rbico-muted {
  &:before {
    content: $rbico-muted; 
  }
}
.rbico-newchannel {
  &:before {
    content: $rbico-newchannel; 
  }
}
.rbico-newchat_filled {
  &:before {
    content: $rbico-newchat_filled; 
  }
}
.rbico-newgroup {
  &:before {
    content: $rbico-newgroup; 
  }
}
.rbico-newprivate {
  &:before {
    content: $rbico-newprivate; 
  }
}
.rbico-next {
  &:before {
    content: $rbico-next; 
  }
}
.rbico-noncontacts {
  &:before {
    content: $rbico-noncontacts; 
  }
}
.rbico-nosound {
  &:before {
    content: $rbico-nosound; 
  }
}
.rbico-passwordoff {
  &:before {
    content: $rbico-passwordoff; 
  }
}
.rbico-pause {
  &:before {
    content: $rbico-pause; 
  }
}
.rbico-permissions {
  &:before {
    content: $rbico-permissions; 
  }
}
.rbico-phone {
  &:before {
    content: $rbico-phone; 
  }
}
.rbico-pin {
  &:before {
    content: $rbico-pin; 
  }
}
.rbico-pinlist {
  &:before {
    content: $rbico-pinlist; 
  }
}
.rbico-pinned_filled {
  &:before {
    content: $rbico-pinned_filled; 
  }
}
.rbico-pinnedchat {
  &:before {
    content: $rbico-pinnedchat; 
  }
}
.rbico-pip {
  &:before {
    content: $rbico-pip; 
  }
}
.rbico-play {
  &:before {
    content: $rbico-play; 
  }
}
.rbico-playback_05 {
  &:before {
    content: $rbico-playback_05; 
  }
}
.rbico-playback_15 {
  &:before {
    content: $rbico-playback_15; 
  }
}
.rbico-playback_1x {
  &:before {
    content: $rbico-playback_1x; 
  }
}
.rbico-playback_2x {
  &:before {
    content: $rbico-playback_2x; 
  }
}
.rbico-plus {
  &:before {
    content: $rbico-plus; 
  }
}
.rbico-poll {
  &:before {
    content: $rbico-poll; 
  }
}
.rbico-premium_addone {
  &:before {
    content: $rbico-premium_addone; 
  }
}
.rbico-premium_double {
  &:before {
    content: $rbico-premium_double; 
  }
}
.rbico-premium_lock {
  &:before {
    content: $rbico-premium_lock; 
  }
}
.rbico-premium_unlock {
  &:before {
    content: $rbico-premium_unlock; 
  }
}
.rbico-previous {
  &:before {
    content: $rbico-previous; 
  }
}
.rbico-radiooff {
  &:before {
    content: $rbico-radiooff; 
  }
}
.rbico-radioon {
  &:before {
    content: $rbico-radioon; 
  }
}
.rbico-reactions {
  &:before {
    content: $rbico-reactions; 
  }
}
.rbico-readchats {
  &:before {
    content: $rbico-readchats; 
  }
}
.rbico-recent {
  &:before {
    content: $rbico-recent; 
  }
}
.rbico-replace {
  &:before {
    content: $rbico-replace; 
  }
}
.rbico-reply {
  &:before {
    content: $rbico-reply; 
  }
}
.rbico-reply_filled {
  &:before {
    content: $rbico-reply_filled; 
  }
}
.rbico-rightpanel {
  &:before {
    content: $rbico-rightpanel; 
  }
}
.rbico-rotate_left {
  &:before {
    content: $rbico-rotate_left; 
  }
}
.rbico-rotate_right {
  &:before {
    content: $rbico-rotate_right; 
  }
}
.rbico-saved {
  &:before {
    content: $rbico-saved; 
  }
}
.rbico-savedmessages {
  &:before {
    content: $rbico-savedmessages; 
  }
}
.rbico-schedule {
  &:before {
    content: $rbico-schedule; 
  }
}
.rbico-scheduled {
  &:before {
    content: $rbico-scheduled; 
  }
}
.rbico-search {
  &:before {
    content: $rbico-search; 
  }
}
.rbico-select {
  &:before {
    content: $rbico-select; 
  }
}
.rbico-send {
  &:before {
    content: $rbico-send; 
  }
}
.rbico-send2 {
  &:before {
    content: $rbico-send2; 
  }
}
.rbico-sending {
  &:before {
    content: $rbico-sending; 
  }
}
.rbico-sendingerror {
  &:before {
    content: $rbico-sendingerror; 
  }
}
.rbico-settings {
  &:before {
    content: $rbico-settings; 
  }
}
.rbico-settings_filled {
  &:before {
    content: $rbico-settings_filled; 
  }
}
.rbico-sharescreen_filled {
  &:before {
    content: $rbico-sharescreen_filled; 
  }
}
.rbico-shipping {
  &:before {
    content: $rbico-shipping; 
  }
}
.rbico-shuffle {
  &:before {
    content: $rbico-shuffle; 
  }
}
.rbico-smallscreen {
  &:before {
    content: $rbico-smallscreen; 
  }
}
.rbico-smile {
  &:before {
    content: $rbico-smile; 
  }
}
.rbico-spoiler {
  &:before {
    content: $rbico-spoiler; 
  }
}
.rbico-sport {
  &:before {
    content: $rbico-sport; 
  }
}
.rbico-star {
  &:before {
    content: $rbico-star; 
  }
}
.rbico-stickers {
  &:before {
    content: $rbico-stickers; 
  }
}
.rbico-stickers_face {
  &:before {
    content: $rbico-stickers_face; 
  }
}
.rbico-stop {
  &:before {
    content: $rbico-stop; 
  }
}
.rbico-strikethrough {
  &:before {
    content: $rbico-strikethrough; 
  }
}
.rbico-textedit {
  &:before {
    content: $rbico-textedit; 
  }
}
.rbico-tip {
  &:before {
    content: $rbico-tip; 
  }
}
.rbico-tools {
  &:before {
    content: $rbico-tools; 
  }
}
.rbico-unarchive {
  &:before {
    content: $rbico-unarchive; 
  }
}
.rbico-underline {
  &:before {
    content: $rbico-underline; 
  }
}
.rbico-unmute {
  &:before {
    content: $rbico-unmute; 
  }
}
.rbico-unpin {
  &:before {
    content: $rbico-unpin; 
  }
}
.rbico-unread {
  &:before {
    content: $rbico-unread; 
  }
}
.rbico-up {
  &:before {
    content: $rbico-up; 
  }
}
.rbico-user {
  &:before {
    content: $rbico-user; 
  }
}
.rbico-username {
  &:before {
    content: $rbico-username; 
  }
}
.rbico-videocamera {
  &:before {
    content: $rbico-videocamera; 
  }
}
.rbico-videocamera_crossed_filled {
  &:before {
    content: $rbico-videocamera_crossed_filled; 
  }
}
.rbico-videocamera_filled {
  &:before {
    content: $rbico-videocamera_filled; 
  }
}
.rbico-videochat {
  &:before {
    content: $rbico-videochat; 
  }
}
.rbico-volume_down {
  &:before {
    content: $rbico-volume_down; 
  }
}
.rbico-volume_mute {
  &:before {
    content: $rbico-volume_mute; 
  }
}
.rbico-volume_off {
  &:before {
    content: $rbico-volume_off; 
  }
}
.rbico-volume_up {
  &:before {
    content: $rbico-volume_up; 
  }
}
.rbico-zoomin {
  &:before {
    content: $rbico-zoomin; 
  }
}
.rbico-zoomout {
  &:before {
    content: $rbico-zoomout; 
  }
}